<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>Ubuntu binary installers</title>
    <link rel="stylesheet" href="../style.css">
  </head>
  <body>
    <div class="navbar">
      <a href="https://manchester_qbi.gitlab.io/manchester_qbi_public/madym_binaries/">All installers</a>
      <a href="https://gitlab.com/manchester_qbi/manchester_qbi_public/madym_cxx/">Madym source code repository</a>
    </div>
    <div class="textblock"><p><img src="../madym_lrg.png" alt="Madym logo" class="inline"/></p>
    
    <h1>Ubuntu installers</h1>
    
    <p style="width: 800px;">
    Please download your required version below. Unless you specifically want to compare previous versions, we recommend installing the most recent version, 
    which currently is 4.24.0, listed below. Older versions can be downloaded by browsing the project repository 
    <a href="https://gitlab.com/manchester_qbi/manchester_qbi_public/madym_binaries/-/tree/master/public/ubuntu" title="Installer repository">here</a>.
    <br>
    <br>
    For each version, there are debian package installers and tar.gz archives both with and without the Madym GUI. The debian package installers have been built on Ubuntu 20.04 and may not work on Ubuntu <= 18.
    <br>
    <br>
    When you install a debian package, the installer will attempt to set an environmental variable <i>MADYM_ROOT</i> 
    storing the path to the <i>bin</i> folder of your new install. If you have previous versions of Madym installed, 
    <i>MADYM_ROOT</i> may not update correctly, so we advise you to check it manually after running the install script. 
    <br>
    <br>
    If you are unsure which version you require, please contact us via the 
    <a href="https://gitlab.com/manchester_qbi/manchester_qbi_public/madym_cxx/-/issues" title="Madym issues">project issue boards</a> on GitLab. 
    </p>
    <ul style="list-style-type:circle">
      <li>4.24.0
        <ul style="list-style-type:circle">
          <li><a href="madym_v4.24.0.deb" title="DMG with GUI" download>Debian installer with GUI</a></li>
          <li><a href="madym_v4.24.0-Linux-5.8.0-44-generic.tar.gz" title="Archive with GUI" download>Tar archive with GUI</a></li>
          <li><a href="madym_v4.24.0-Linux-5.8.0-44-generic-no_gui.tar.gz" title="Archive command-line only" download>Tar archive command-line tools only</a></li>
        </ul>
      </li>
    </ul>   
  </body>
</html>

